summaryrefslogtreecommitdiffstats
path: root/kde/kdebindings/kdebindings.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'kde/kdebindings/kdebindings.SlackBuild')
-rwxr-xr-xkde/kdebindings/kdebindings.SlackBuild110
1 files changed, 110 insertions, 0 deletions
diff --git a/kde/kdebindings/kdebindings.SlackBuild b/kde/kdebindings/kdebindings.SlackBuild
new file mode 100755
index 0000000..481e4cb
--- /dev/null
+++ b/kde/kdebindings/kdebindings.SlackBuild
@@ -0,0 +1,110 @@
+#!/bin/sh
+
+# Copyright 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-kdebindings
+
+# Set the config option variables if they are not already set:
+if [ -r ../KDE.options ]; then
+ . ../KDE.options
+fi
+
+# The global options may be overridden here (if needed):
+if [ -r ./local.options ]; then
+ . ./local.options
+fi
+
+# Avoid a version number in .la files:
+if [ -d /usr/lib${LIBDIRSUFFIX}/qt ]; then
+ QTDIR=/usr/lib${LIBDIRSUFFIX}/qt
+fi
+
+rm -rf $PKG
+mkdir -p $PKG/usr
+cd $TMP
+echo "Building kdebindings-$VERSION..."
+tar xvf $CWD/../src/kdebindings-$VERSION.tar.?z* || exit 1
+cd kdebindings-$VERSION
+
+# No longer needed in kde 4.6
+#zcat $CWD/kdebindings-len-ptr-rfloat.diff.gz | patch -p1 --verbose || exit 1
+#zcat $CWD/kdebindings-ruby-env.h.diff.gz | patch -p1 --verbose || exit 1
+#zcat $CWD/kdebindings-rubyconfig.h.diff.gz | patch -p1 --verbose || exit 1
+#zcat $CWD/kdebindings.1170602.sip_4_11_x.diff.gz | patch -p0 --verbose || exit 1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Set 'vendorarch' (install location for vendor shipped architecture dependent perl modules):
+eval $(perl '-V:vendorarch')
+
+# -DENABLE_PYKDE4:BOOL=OFF \
+mkdir -p build
+cd build
+ #-DCMAKE_BACKWARDS_COMPATIBILITY:STRING="2.2" \
+ cmake \
+ $KDE_OPT_ARGS \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_BUILD_TYPE=Release \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DMAN_INSTALL_DIR=/usr/man \
+ -DCUSTOM_PERL_SITE_ARCH_DIR=$vendorarch \
+ -DSYSCONF_INSTALL_DIR=/etc/kde \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DENABLE_QYOTO:BOOL=OFF \
+ -DENABLE_QSCINTILLA_SHARP:BOOL=OFF \
+ -DENABLE_KIMONO:BOOL=OFF \
+ -DBUILD_csharp:BOOL=OFF \
+ ..
+ # kdebindings has (in the past, on several occasions) barfed on multijobs,
+ # so no $NUMJOBS here. We run make twice because the first time is not
+ # 100% successful either...:
+ make || make || exit 1
+ make install DESTDIR=$PKG || exit 1
+cd -
+
+if [ -d $PKG/usr/man ]; then
+ gzip -9 $PKG/usr/man/man?/*
+fi
+
+mkdir -p $PKG/usr/doc/kdebindings-$VERSION
+cp -a AUTHORS COPYING* INSTALL NEWS README \
+ $PKG/usr/doc/kdebindings-$VERSION
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/kdebindings-$VERSION-$ARCH-$BUILD.txz
+